From 6b629a4619e352e34b12f105eae5581fd64c9573 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 16:34:41 -0800
Subject: [PATCH 2/5] MacPorts Only: Use full path for the dylib id instead of
 @rpath

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
(cherry picked from commit 101281fb51d2ce628839134eeedb9533d4506192)
---
 Makefile.rules | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git llvm_release_35/Makefile.rules macports_release_35/Makefile.rules
index ebebc0a..b0bb378 100644
--- llvm_release_35/Makefile.rules
+++ macports_release_35/Makefile.rules
@@ -599,7 +599,12 @@ ifneq ($(HOST_OS), $(filter $(HOST_OS), Cygwin MingW))
 ifneq ($(HOST_OS),Darwin)
   LD.Flags += $(RPATH) -Wl,'$$ORIGIN'
 else
-  LD.Flags += -Wl,-install_name  -Wl,"@rpath/lib$(LIBRARYNAME)$(SHLIBEXT)"
+  LD.Flags += -Wl,-install_name
+  ifdef LOADABLE_MODULE
+    LD.Flags += -Wl,"$(PROJ_libdir)/$(LIBRARYNAME)$(SHLIBEXT)"
+  else
+    LD.Flags += -Wl,"$(PROJ_libdir)/$(SharedPrefix)$(LIBRARYNAME)$(SHLIBEXT)"
+  endif
 endif
 endif
 endif
-- 
2.2.2

